package com.tzld.piaoquan.api.dao.mapper.contentplatform;

import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformQwDataStatTotal;
import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformQwDataStatTotalExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ContentPlatformQwDataStatTotalMapper {
    long countByExample(ContentPlatformQwDataStatTotalExample example);

    int deleteByExample(ContentPlatformQwDataStatTotalExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ContentPlatformQwDataStatTotal record);

    int insertSelective(ContentPlatformQwDataStatTotal record);

    List<ContentPlatformQwDataStatTotal> selectByExample(ContentPlatformQwDataStatTotalExample example);

    ContentPlatformQwDataStatTotal selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ContentPlatformQwDataStatTotal record, @Param("example") ContentPlatformQwDataStatTotalExample example);

    int updateByExample(@Param("record") ContentPlatformQwDataStatTotal record, @Param("example") ContentPlatformQwDataStatTotalExample example);

    int updateByPrimaryKeySelective(ContentPlatformQwDataStatTotal record);

    int updateByPrimaryKey(ContentPlatformQwDataStatTotal record);
}